%global pypi_name pytest-benchmark

Name:       python-%{pypi_name}
Version:    5.1.0
Release:    %mkrel 1
Summary:    A py.test fixture for benchmarking code
Group:      Development/Python
License:    BSD
URL:        https://pytest-benchmark.readthedocs.io
Source:     https://github.com/ionelmc/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: python3-devel
# Tests
#BuildRequires: python3-cpuinfo
#BuildRequires: python3-pytest
#BuildRequires: python3-elasticsearch
#BuildRequires: python3-freezegun
#BuildRequires: python3-pytest-xdist
#BuildRequires: python3-pygal

%global _description\
This plugin provides a benchmark fixture. This fixture is a callable object\
that will benchmark any function passed to it.\
\
Notable features and goals:\
\
  - Sensible defaults and automatic calibration for microbenchmarks\
  - Good integration with pytest\
  - Comparison and regression tracking\
  - Exhausive statistics\
  - JSON export

%description %_description

%package -n python3-%{pypi_name}
Summary: %summary
%py_provides python3-%{pypi_name}
Requires: python3-pytest
Requires: python3-cpuinfo

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_benchmark

%check
# Tests disabled (missing dependency: aspectlib)
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license LICENSE
%{_bindir}/py.test-benchmark
%{_bindir}/pytest-benchmark


%changelog
* Tue Feb 25 2025 wally <wally> 5.1.0-1.mga10
+ Revision: 2152529
- new version 5.1.0
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 4.0.0-2.mga10
+ Revision: 2015186
- rebuild for py3.12
- use pyproject rpm macros

* Mon Nov 14 2022 guillomovitch <guillomovitch> 4.0.0-1.mga9
+ Revision: 1907170
- imported package python-pytest-benchmark

